Package org.pentaho.reporting.libraries.formula.function.math

# Class SumFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.math.SumFunction

All Implemented Interfaces:
  `Serializable`, `Function`

Direct Known Subclasses:
  `SumAFunction`

public class SumFunction extends Object implements Function
Creation-Date: 31.10.2006, 17:39:19

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BigDecimal`
`ZERO`

## Constructor Summary

Constructors
Constructor
Description
`SumFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZERO

public static final BigDecimal ZERO

## Constructor Details

### SumFunction

public SumFunction()

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`